%{
	#include <iostream>
	
	#include "main.yacc.hpp"
	
	extern "C"
	{
		int yylex(void);
		void yyerror(const char *);
	}
	
	extern int yylval;
%}

%%
[0-9]+ { yylval = atof(yytext); return NUMBER; }

\+ { return PLUS; }
- { return MINUS; }
\* { return MUL; }
\/ { return DIV; }

\( { return LEFT; }
\) { return RIGHT; }

\n { return 0; }
%%
